<template>
    <div
        class="is-flex"
        v-html="icon
            .setFill(fill)
            .setIcon(name)
            .setSize(size)
            .setStroke(stroke)
            .setStrokeWidth(strokeWidth)
            .setText(text)
            .toString()"
    >
    </div>
</template>

<script lang="ts">
    import { Component, Prop, Vue } from 'vue-property-decorator';
    import { State } from 'vuex-class';

    import { Icon } from '@/ts/icon';
    import { Mapview } from '@/ts/mapview';

    @Component
    export default class BaseIcon extends Vue {
        @Prop()
        private fill!: string;
        @Prop()
        private name!: string;
        @Prop()
        private size!: number;
        @Prop()
        private stroke!: string;
        @Prop()
        private strokeWidth!: number;
        @Prop({default: ''})
        private text!: string;

        @State('map') private map!: Mapview;

        private icon: Icon = new Icon();
    }
</script>

